Bug 110776 - bad source code
bad source code
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: licq (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-24 10:38 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-20 08:57:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-11-24 10:38:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:

I just tried to compile package licq-1_2_6-1 from Fedora.

The compiler said

1.

icqpacket.cpp(2077): warning #69: integer conversion resulted in 
truncation

The source code is

        buffer->PackUnsignedShortBE(0x00660000);

but

[root@ruth SPECS]# find ../BUILD/licq-1.2.6/ -name \*.h -print | 
xargs grep PackUnsignedShortBE
../BUILD/licq-1.2.6/include/licq_buffer.h:   char *PackUnsignedShortBE
(unsigned
short data);

I think that a four byte quantity, 0x00660000 won't fit in a two byte
space, unsigned short data.

I think code would benefit from rework.


Version-Release number of selected component (if applicable):
licq-1_2_6-1 

How reproducible:
Always

Steps to Reproduce:
1. by inspection
2.
3.
    

Additional info:
Comment 1 Thomas Woerner 2004-04-20 08:57:15 EDT
Fixed upstream in 1.2.7.

Note You need to log in before you can comment on or make changes to this bug.